LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCellSeries Interface Referencepublished

provides methods to fill out a cell range automatically with values based on a start value, step count and fill mode. More...

`import"XCellSeries.idl";`

Inheritance diagram for XCellSeries:

## Public Member Functions
void | fillSeries ([in] com::sun::star::sheet::FillDirection nFillDirection, [in] com::sun::star::sheet::FillMode nFillMode, [in] com::sun::star::sheet::FillDateMode nFillDateMode, [in] double fStep, [in] double fEndValue)
| fills all cells in the range based on the specified settings. More...
void | fillAuto ([in] com::sun::star::sheet::FillDirection nFillDirection, [in] long nSourceCount)
| fills all cells in the range in a way that is specified by the first cell(s) in the range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to fill out a cell range automatically with values based on a start value, step count and fill mode.

See also
  com::sun::star::sheet::SheetCellRange

Developers Guide
  Spreadsheet Documents - Fill Series

## Member Function Documentation

## ◆ fillAuto()

void fillAuto | ( | [in] com::sun::star::sheet::FillDirection | nFillDirection,
|  | [in] long | nSourceCount
| ) |  |

fills all cells in the range in a way that is specified by the first cell(s) in the range.

Parameters

  nFillDirection | specifies the direction to fill the rows/columns of the range.
  nSourceCount | contains the number of cells in each row/column used to constitute the fill algorithm.

## ◆ fillSeries()

void fillSeries | ( | [in] com::sun::star::sheet::FillDirection | nFillDirection,
|  | [in] com::sun::star::sheet::FillMode | nFillMode,
|  | [in] com::sun::star::sheet::FillDateMode | nFillDateMode,
|  | [in] double | fStep,
|  | [in] double | fEndValue
| ) |  |

fills all cells in the range based on the specified settings.

Parameters

  nFillDirection | specifies the direction to fill the rows/columns of the range.
  nFillMode | specifies the type of the series.
  nFillDateMode | specifies the calculation mode for date values.
  fStep | contains the value used to increase/decrease the series values.
  fEndValue | contains the threshold value on which the calculation of the current series stops.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellSeries.idl